curl --request DELETE \
--url https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId} \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId}"
headers = {"X-Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"variant_external_id": "4006381333931",
"location_external_id": "main-warehouse",
"product_variant_id": 674353902539857400,
"location_id": 631923350119788400,
"success": true
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}{
"message": "Multiple product variants match the provided external_id."
}Delete Inventory by External IDs
Delete an inventory record identified by the product variant’s external_id and the location’s external_id. If more than one product variant in the shop shares the same external_id, this request returns 409 Conflict.
Authorizations
API Scope: "Inventory (write)"
Path Parameters
The identifier provided as the external_id for this variant.
64"4006381333931"
The identifier provided as the external_id for this location.
64"main-warehouse"
Response
Success
The identifier provided as the external_id for this variant.
"4006381333931"
The identifier provided as the external_id for this location.
"main-warehouse"
The unique identifier for the product variant, created by Loop.
674353902539857400
The unique identifier for the location, created by Loop.
631923350119788400
Whether the inventory was successfully deleted.
true